<template>
  <q-select dense outlined v-model="value">
    <template v-slot:default>
      <slot></slot>
    </template>
    <template v-slot:append>
      <slot name="append"></slot>
    </template>
    <template v-slot:prepend>
      <slot name="prepend"></slot>
    </template>
  </q-select>
</template>

<script>
export default {
  name: 'VSelect',
  props: ['modelValue'],
  emits: ['update:modelValue'],
  computed: {
    value: {
      get() {
        return this.modelValue
      },
      set(val) {
        this.$emit('update:modelValue', val)
      }
    }
  }
};
</script>

<style scoped>

</style>